p= ProxySpace.push(s.boot)
p.makeTempoClock(1.8)
c= p.clock

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(0, SinOsc.ar(freq*f, 0, freq), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

a= Synth(\olf)
Tdef(\olf).play(c, quant:2)
(Tdef(\olf, {
	10.do{|i|
		Synth(\olf, [\freq, i*10+40]);
		0.125.wait;
	}
}))

(Tdef(\olf, {
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40]);
		});
		0.125.wait;
	}
}))

(Tdef(\olf, {
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, 0.05.rand2+0.1]);
		});
		0.125.wait;
	}
}))

(Tdef(\olf, {
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, 0.01.rrand(1)]);
		});
		0.125.wait;
	}
}))

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1]);
		});
		0.125.wait;
	}
}))

Tdef(\ulf).play(c, quant:2)
(Tdef(\ulf, {
	5.do{|i|
		Synth(\olf, [\freq, 400, \f, 2]);
		1.wait;
	}
}))

(Tdef(\ulf, {
	5.do{|i|
		Synth(\olf, [\freq, 400, \f, 0.02]);
		1.wait;
	}
}))

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(0, SinOsc.ar(freq*f, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(0, SinOsc.ar(freq*f, 0, pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(0, SinOsc.ar(freq*f, 0, 10), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(0, SinOsc.ar(freq*f, 0, Rand(0, 2pi)), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(f, SinOsc.ar(freq*f, 0, Rand(0, 2pi)), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(Tdef(\ulf, {
	5.do{|i|
		Synth(\olf, [\freq, 400, \f, 2]);
		1.wait;
	}
}))

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), 0, amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

//sigh - too tired for this

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(f, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(f*freq, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(freq, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(freq/f, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(Tdef(\ulf, {
	5.do{|i|
		Synth(\olf, [\freq, 400, \f, 2]);
		1.wait;
	}
}))

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(f, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0, dur), gate, doneAction:2);
	var z= LPF.ar(SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(f, 0, 2pi), amp), 9000);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(Tdef(\ulf, {
	5.do{|i|
		Synth(\olf, [\freq, 400, \f, 2]);
		1.wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, 200, \f, 2, \amp, i%2*0.5+0.5]);
		0.5.wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, 200, \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1]);
		0.5.wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, 200, \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i), \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i), \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)*100), \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

Synth(\olf, [\freq, 500, \f, 2, \amp, 0.5])
Tdef(\alf).play(c, quant:2)
(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, 500, \f, 2, \amp, 0.5, \dur, 2]);
		4.wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 500, 500, 600].foldAt(i), \f, 2, \amp, 0.5, \dur, 2]);
		4.wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, 1.6.rrand(2.2), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 10].wchoose([0.9, 0.1])]);
		});
		0.125.wait;
	}
}))
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2);
	z= Resonz.ar(z, freq, q);
	Out.ar(out, z);
}).store
e= Synth(\efx)

(SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*5;
	z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store)

(SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*10;
	z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store)

(SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*10;
	//z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store)

(SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*30;
	//z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store)

(SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*30;
	//z= Resonz.ar(z, freq, q);
	Out.ar(out, z.clip(-1, 2));
}).store)

(SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*130;
	//z= Resonz.ar(z, freq, q);
	Out.ar(out, z.clip(-1, 2));
}).store)

(SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*130;
	//z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store)
//ah, need to start a new effect ofcourse
e.free

e= Synth(\efx)

(SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*5;
	z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store)

(SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*2;
	z= Resonz.ar(z, freq, q);
	Out.ar(out, z.softclip);
}).store)

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 10].wrapAt(i)]);
		});
		0.125.wait;
	}
}))

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 0, 0, 10].foldAt(i)]);
		});
		0.125.wait;
	}
}))

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 0, 10].foldAt(i)]);
		});
		0.125.wait;
	}
}))

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 0, 10].wrapAt(i%4)]);
		});
		0.125.wait;
	}
}))

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 0, 10].wrapAt(i%7)]);
		});
		0.125.wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, 1.6.rrand(2.2), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 10].wrapAt(i%5)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, 500, \f, 2, \amp, 0.5, \dur, 2, \out, [0, 0, 0, 10].wrapAt(i)]);
		4.wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 500, 500, 50].wrapAt(i), \f, 2, \amp, 0.5, \dur, 2, \out, [0, 0, 0, 10].wrapAt(i)]);
		4.wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 500, 500, 100].wrapAt(i), \f, 2, \amp, 0.5, \dur, 2, \out, [0, 0, 0, 10].wrapAt(i)]);
		4.wait;
	}
}))

~sn.ar(2)
~sn.play
~sn= {|t_trig= 0| BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)), 5000, 0.4)}
~sn.clear
~sn= {|t_trig= 0| Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)), 5000, 0.4))}
~sn.play
~sn.set(\t_trig, 1)
Tdef(\sn).play(c, quant:2)
(Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1);
		[0.75, 0.5].wrapAt(i).wait;
	}
}))

(Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1);
		[2/3, 1].wrapAt(i).wait;
	}
}))

(Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1);
		[2/3, 1, 1/3].wrapAt(i).wait;
	}
}))

(Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1);
		[1, 1, 0.6, 0.3].wrapAt(i).wait;
	}
}))

(Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1, \freq, [5000, 4000, 4000, 6000].wrapAt(i));
		[1, 1, 0.6, 0.3].wrapAt(i).wait;
	}
}))
~sn= {|t_trig= 0, freq= 5000| Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)), freq, 0.3))}

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2, \amp, 0.5, \dur, 2, \out, [0, 0, 0, 10].wrapAt(i)]);
		4.wait;
	}
}))

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%5*0.1+0.01, \out, [0, 0, 10].wrapAt(i%7)]);
		});
		0.125.wait;
	}
}))

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*5+40, \f, i.div(32)%5*0.1+0.01, \out, [0, 0, 10].wrapAt(i%7)]);
		});
		0.125.wait;
	}
}))

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*5+40, \f, i.div(32)%5*1.1+0.01, \out, [20, 0, 10].wrapAt(i%7)]);
		});
		0.125.wait;
	}
}))

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*5+40, \f, i.div(32)%5*0.1+0.01, \out, [20, 0, 10].wrapAt(i%7)]);
		});
		0.125.wait;
	}
}))
(SynthDef(\efx2, {|in= 20, out= 0, del= 0.4|
	var z= InFeedback.ar(in, 2);
	z= z+CombN.ar(z, del, del, 1/del);
	Out.ar(out, z);
}).store)
f= Synth(\efx2)
f.free
(SynthDef(\efx2, {|in= 20, out= 0, del= 0.4|
	var z= InFeedback.ar(in, 2);
	z= z+CombN.ar(z, 3, del.min(3), 1/del);
	Out.ar(out, z);
}).store)
f= Synth(\efx2)
f.set(\del, 0.1)

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2, \amp, 0.5, \dur, [2, 2, 0.125, 2].wrapAt(i), \out, [0, 0, 20, 10].wrapAt(i)]);
		4.wait;
	}
}))

~sn= {|t_trig= 0, freq= 5000| Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)), freq, EnvGen.ar(Env.perc, t_trig, 0.3, 0.3)))}

~sn= {|t_trig= 0, freq= 5000| Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.3), t_trig)), freq, EnvGen.ar(Env.perc, t_trig, 0.3, 0.3)))}

~sn= {|t_trig= 0, freq= 5000| Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, EnvGen.ar(Env.perc(0.1, 0.1), t_trig, 0.3, 0.3)))}

Tdef(\olf).stop

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, 1.6.rrand(2.2), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 10, 20].wrapAt(i%5)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 20].wchoose([0.9, 0.1]), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 10, 20].wrapAt(i%5)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 10, 20].wrapAt(i%5)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 0, 10, 20].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 0, 10, [20, 0].choose].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [20, 0].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*1000), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, EnvGen.ar(Env.perc(0.1, 0.1), t_trig, 0.3, 0.3)); z= z+CombN.ar(z, 0.2, 0.2, 2); Pan2.ar(z)}

~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, EnvGen.ar(Env.perc(0.1, 0.1), t_trig, 0.3, 0.3)); z= z+CombN.ar(z, 0.2, 0.2, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*1000), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2, \amp, 0.5, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		4.wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 4, \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		4.wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 4, \amp, 0.25, \dur, 2, \out, [0, 20, 0, 20].wrapAt(i)]);
		4.wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2.rrand(6), \amp, 0.25, \dur, 2, \out, [0, 20, 0, 20].wrapAt(i)]);
		4.wait;
	}
}))

~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.2, 0.2, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.2, 0.2, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.2, 0.2, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*1000), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
}))

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*5+40, \f, i.div(32)%5*0.1+0.01, \out, [20, 20, 20].wrapAt(i%7), \amp, 0.1]);
		});
		8.wait;
	}
}))
Tdef(\olf).play

Tdef(\chrds).play(c, quant:2)
(Tdef(\chrds, {
	inf.do{|i|
		Synth(\olf, [\freq, 110, \amp, 0.2, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 440, \amp, 0.2, \out, 20, \dur, 2]);
		4.wait;
	}
}))

(Tdef(\chrds, {
	inf.do{|i|
		Synth(\olf, [\freq, 110, \amp, 0.1, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 440, \amp, 0.1, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 880, \amp, 0.1, \out, 20, \dur, 2]);
		4.wait;
	}
}))

(Tdef(\chrds, {
	inf.do{|i|
		Synth(\olf, [\freq, 110, \amp, 0.1, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 440, \amp, 0.1, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 880, \amp, 0.1, \out, 20, \dur, 2]);
		4.wait;
	}
}))

(Tdef(\chrds, {
	var x= 0;
	inf.do{|i|
		x= i.div(32)%3*20;
		Synth(\olf, [\freq, 110+x, \amp, 0.1, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 440+x, \amp, 0.1, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 880+x, \amp, 0.1, \out, 20, \dur, 2]);
		4.wait;
	}
}))

(Tdef(\chrds, {
	var x= 0;
	inf.do{|i|
		if(i%8>6, {
			x= 20;
		}, {
			x= 0;
		});
		Synth(\olf, [\freq, 110+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.1]);
		Synth(\olf, [\freq, 440+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.15]);
		Synth(\olf, [\freq, 880+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.2]);
		4.wait;
	}
}))

~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, SinOsc.kr(0.07, 0, 0.1, 0.4), SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, SinOsc.kr(0.07, 0, 0.1, 0.4).round(0.05), SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, SinOsc.kr(0.07, 0, 0.1, 0.25).round(0.05), SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

(Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%4*2+140, \f, i.div(4)%5*0.1+0.01, \out, 20, \amp, 0.1]);
		});
		8.wait;
	}
}))

(Tdef(\chrds, {
	var x= 0;
	inf.do{|i|
		if(i%16>14, {
			x= 40;
		}, {
			if(i%8>6, {
				x= 20;
			}, {
				x= 0;
			});
		});
		Synth(\olf, [\freq, 110+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.1]);
		Synth(\olf, [\freq, 440+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.15]);
		Synth(\olf, [\freq, 880+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.2]);
		4.wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*2000), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].choose), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i)), \f, [1.6.rrand(2.2), 1.5, 1.5, 200].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i)), \f, [1.6.rrand(2.2), 1.5, 1.5, [200, 20].wrapAt(i)].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [1.6.rrand(2.2), 1.5, 1.5, [200, 20].wrapAt(i%5)].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [1.6.rrand(2.2), 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2.rrand(6), \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2.rrand(60), \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [800, 600, 500, 100].wrapAt(i), \f, 2.rrand(6), \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [80, 600, 500, 100].wrapAt(i), \f, 2.rrand(6), \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [180, 600, 500, 100].wrapAt(i), \f, 2.rrand(6), \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
}))

(Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1, \freq, [5000, 4000, 4000, 6000].wrapAt(i)*[0.75, 1, 0.5].wrapAt(i.div(16)));
		[1, 1, 0.6, 0.3].wrapAt(i).wait;
	}
}))


~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, SinOsc.kr(0.07, 0, 0.1, 0.25).round(0.15), SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, SinOsc.kr(c.tempo.reciprocal*0.5, 0, 0.1, 0.25).round(0.2), SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, 0.25, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}
c.tempo.reciprocal
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, c.tempo.reciprocal/2, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

(Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1, \freq, [5000, 4000, 4000, 6000].wrapAt(i)*[0.75, 1, 0.5].wrapAt(i.div(16)));
		[1, 1, 0.5, 0.5].wrapAt(i).wait;
	}
}))

(Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1, \freq, [5000, 4000, 4000, 6000].wrapAt(i)*[0.75, 1, 0.25].wrapAt(i.div(16)));
		[1, 1, 0.5, 0.5].wrapAt(i).wait;
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [180, 600, 500, 100].wrapAt(i), \f, 3, \amp, 0.2, \dur, 1.5, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [1.6.rrand(2.2), 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.5, 0.5, 2].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [0.5, 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.5, 0.5, 2].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [0.5, 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, 0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.5, 0.5, 2].wrapAt(i)).wait;
	}
}))

(Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1, \freq, [5000, 4000, 4000, 6000].wrapAt(i)*[0.75, 1, 0.25].wrapAt(i.div(16)));
		if(i%32>=28, {
			0.25.wait;
		}, {
			[1, 1, 0.5, 0.5].wrapAt(i).wait;
		});
	}
}))

(Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [180, 600, 500, 100].wrapAt(i), \f, 3, \amp, 0.2, \dur, 1.5, \out, [0, 0, 0, 20].wrapAt(i)]);
		if(i%32>=30, {
			0.25.wait;
		}, {
			1.wait;
		});
	}
}))


(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [100, 120].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [0.5, 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, 0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.5, 0.5, 2].wrapAt(i)).wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [100, 120].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [0.5, 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, 0.25, \pan, i%5/4*2-1, \dur, 0.1, \out, 20]);
		1.wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [100, 120].wrapAt(i), \f, [0.5, 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, 0.25, \pan, i%5/4*2-1, \dur, 0.1, \out, 20]);
		1.wait;
	}
}))

(Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [100, 120].wrapAt(i), \f, [0.5, 1.5, 1.5, 100].wrapAt(i), \amp, 0.25, \pan, i%5/4*2-1, \dur, 0.1, \out, 20]);
		1.wait;
	}
}))

~sn.release(20)
e.free

Tdef(\sn).stop
Tdef(\olf).stop
Tdef(\alf).stop
Tdef(\ulf).stop
Tdef(\chrds).stop
f.free
p.clear
p.pop
